SafeFileTarget (LogKit API)
Keywords: org.apache.log.output.io.SafeFileTarget,SafeFileTarget class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.io
Class SafeFileTarget

    java.lang.Object
      |
      +--org.apache.log.output.AbstractTarget
            |
            +--org.apache.log.output.AbstractOutputTarget
                  |
                  +--org.apache.log.output.io.StreamTarget
                        |
                        +--org.apache.log.output.io.FileTarget
                              |
                              +--org.apache.log.output.io.SafeFileTarget

All Implemented Interfaces:
  ErrorAware, LogTarget

public class SafeFileTarget
extends FileTarget

A target that will open and close a file for each logevent. This is slow but a more reliable form of logging on some filesystems/OSes. It should only be used when there is a small number of log events.

Author:
  Peter Donald

Field Summary

Fields inherited from class org.apache.log.output.AbstractOutputTarget
`m_formatter`

Constructor Summary
`SafeFileTarget(File file, boolean append, Formatter formatter)` Construct file target to write to a file with a formatter.

Method Summary
`void` | `processEvent(LogEvent event)` Process a log event, via formatting and outputting it.

Methods inherited from class org.apache.log.output.io.FileTarget
`getFile, openFile, setFile`

Methods inherited from class org.apache.log.output.io.StreamTarget
`close, setOutputStream, shutdownStream, write`

Methods inherited from class org.apache.log.output.AbstractOutputTarget
`doProcessEvent, getFormatter, open, output, setFormatter`

Methods inherited from class org.apache.log.output.AbstractTarget
`error, getErrorHandler, isOpen, setErrorHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SafeFileTarget

    public SafeFileTarget(File file,
                          boolean append,
                          Formatter formatter)
                   throws IOException

  Construct file target to write to a file with a formatter.

Parameters:
  `file` - the file to write to
  `append` - true if file is to be appended to, false otherwise
  `formatter` - the Formatter
Throws:
  `IOException` - if an error occurs

Method Detail

### processEvent

    public void processEvent(LogEvent event)

  Process a log event, via formatting and outputting it.

  Specified by:
    `processEvent` in interface `LogTarget`
  Overrides:
    `processEvent` in class `AbstractTarget`
  Parameters:
    `event` - the log event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.